﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;
using Infragistics.Windows.Tiles;
using Infragistics.Windows;
using Infragistics.Controls.Charts;
using System.Collections.ObjectModel;


namespace HB_Visual_OPC
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }              

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            xamTileManager1.Items.Add(new object());
            xamTileManager1.UpdateLayout();
            XamTile tile1 = this.xamTileManager1.TileFromItem(this.xamTileManager1.Items[0]);

            if (tile1 != null)
            {
                tile1.IsMaximized = true;
                Dispatcher.BeginInvoke(new Action(() => 
                {
                    XamDataChart Chart = Utilities.GetDescendantFromName(tile1, "xamChart1") as XamDataChart;
                    ObservableCollection<LiveViewDataPoint> data = new ObservableCollection<LiveViewDataPoint>();
                    var newPoint = new LiveViewDataPoint() { Date = (int)10, Price = 10 };
                    data.Add(newPoint);
                    Chart.DataContext = data;

                }), System.Windows.Threading.DispatcherPriority.Background, null);     
            }   
        }
    }

    public class LiveViewDataPoint
    {
        public int Date { get; set; }
        public double Price { get; set; }
    }
}
